Type to search.

Bulk upgrade packages

Base URL
https://{kibana_url}
  • POST /api/fleet/epm/packages/_bulk_upgrade
  • POST /s/{space_id}/api/fleet/epm/packages/_bulk_upgrade
Auth

Upgrade multiple packages to their latest versions.

Required privileges

Privileges integrations-all and fleet-agent-policies-all

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Request body

acknowledge_breaking_changes boolean · default: false The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 9.5 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

When true, acknowledge the breaking changes listed in the package changelog for the versions being upgraded. Without it, an upgrade whose version range includes breaking changes is rejected. The force flag does not bypass this check.

force boolean · default: false
packages object[] · min items: 1 · max items: 1000 required
name string · min length: 0 required
version string
prerelease boolean
upgrade_package_policies boolean · default: false

Responses

Successful response

application/json
taskId string required